Index: include/libroardsp/libroardsp.h
===================================================================
--- include/libroardsp/libroardsp.h	(revision 1587)
+++ include/libroardsp/libroardsp.h	(revision 1626)
@@ -33,4 +33,5 @@
 #include "poly.h"
 #include "convert.h"
+#include "midside.h"
 
 // defines
Index: include/libroardsp/midside.h
===================================================================
--- include/libroardsp/midside.h	(revision 1626)
+++ include/libroardsp/midside.h	(revision 1626)
@@ -0,0 +1,50 @@
+//midside.h:
+
+/*
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008
+ *
+ *  This file is part of libroar a part of RoarAudio,
+ *  a cross-platform sound system for both, home and professional use.
+ *  See README for details.
+ *
+ *  This file is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License version 3
+ *  as published by the Free Software Foundation.
+ *
+ *  libroar is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this software; see the file COPYING.  If not, write to
+ *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ *  NOTE for everyone want's to change something and send patches:
+ *  read README and HACKING! There a addition information on
+ *  the license of this document you need to read before you send
+ *  any patches.
+ *
+ *  NOTE for uses of non-GPL (LGPL,...) software using libesd, libartsc
+ *  or libpulse*:
+ *  The libs libroaresd, libroararts and libroarpulse link this lib
+ *  and are therefore GPL. Because of this it may be illigal to use
+ *  them with any software that uses libesd, libartsc or libpulse*.
+ */
+
+#ifndef _LIBROARDSP_MIDSIDE_H_
+#define _LIBROARDSP_MIDSIDE_H_
+
+#include "libroardsp.h"
+
+                                                                 // implemnted?
+int roar_conv_s2ms_8      (void * out, void * in, int samples);
+int roar_conv_s2ms_16     (void * out, void * in, int samples);
+int roar_conv_s2ms_32     (void * out, void * in, int samples);
+int roar_conv_ms2s_8      (void * out, void * in, int samples);
+int roar_conv_ms2s_16     (void * out, void * in, int samples);
+int roar_conv_ms2s_32     (void * out, void * in, int samples);
+
+#endif
+
+//ll
Index: libroardsp/Makefile
===================================================================
--- libroardsp/Makefile	(revision 1586)
+++ libroardsp/Makefile	(revision 1626)
@@ -4,5 +4,5 @@
 
 TARGETS=libroardsp.so libroardsp.a
-OBJS=libroardsp.o convert.o poly.o filter.o filterchain.o alaw.o mulaw.o
+OBJS=libroardsp.o convert.o midside.o poly.o filter.o filterchain.o alaw.o mulaw.o
 OLDROAR=midi.o
 FILTER=lowp.o highp.o amp.o quantify.o add.o clip.o downmix.o dcblock.o swap.o
Index: libroardsp/midside.c
===================================================================
--- libroardsp/midside.c	(revision 1626)
+++ libroardsp/midside.c	(revision 1626)
@@ -0,0 +1,28 @@
+//midside.c:
+
+/*
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009
+ *
+ *  This file is part of libroardsp a part of RoarAudio,
+ *  a cross-platform sound system for both, home and professional use.
+ *  See README for details.
+ *
+ *  This file is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License version 3
+ *  as published by the Free Software Foundation.
+ *
+ *  libroardsp is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this software; see the file COPYING.  If not, write to
+ *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
+ *
+ */
+
+#include "libroardsp.h"
+
+
+//ll
